//	UniteMovie - Movie Combine Utility
//	Copyright (C) 2005 neusitorau
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

//{{AFX_INCLUDES()
#include "webbrowser2.h"
//}}AFX_INCLUDES

#include "BtnST.h"
#include "label.h"

#if !defined(AFX_UNITEMOVIEDLG_H__CD725F7D_A938_4F12_80DE_D7BC86A4D901__INCLUDED_)
#define AFX_UNITEMOVIEDLG_H__CD725F7D_A938_4F12_80DE_D7BC86A4D901__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

// Rg[ID
#define REALPRODUCER_CONTROL_ID		9999
//#define QUICKTIME_MAIN_WINDOW_ID	9998
//#define QUICKTIME_ADD_WINDOW_ID		9997
#define BROWSER_CONTROL_ID			9996
// e
//#define FILE_WRITE_BUFF_SIZE		131072
#define FILE_WRITE_BUFF_SIZE		1024
#define STATUS_COLOR_BK				0xDDDDDD
#define STATUS_COLOR_FORE			0x555555
#define REALFILE_MAX_ATONCE			1000

/////////////////////////////////////////////////////////////////////////////
// CUnitemovieDlg _CAO

class CUnitemovieDlg : public CDialog
{
///////////////////////
// Private oϐ
///////////////////////
private:
//	BOOL m_show_fore;			// őOʂɕ\
//	BOOL m_delete;				// At@C폜
//	BOOL m_clear;				// AXgNA
//	BOOL m_fullpath;			// tpX\
//	BOOL m_webable;				// WebuEUp\ǂ
//	BOOL m_sendto;				// 郁j[ǉtO
//	BOOL m_show_tips;			// TIPS\tO
//	BOOL m_navigate;			// L\tO
//	BOOL m_auto_unite;			// 𓀌̎tO
	int m_save_type;			// ۑ^Cv
								// 0:fXNgbv
								// 1:t@CƓʒu
								// 2:ŒtH_
								// 3:Œt@C
	CString m_save_element;		// ۑvf
								// m_save_type=2̏ꍇ:tH_
								// m_save_type=3̏ꍇ:t@C
	int m_left;					// EBhEXʒu
	int m_top;					// EBhEYʒu
	int m_height;				// EBhE-
	int m_width;				// EBhE-
	char m_AppDir[_MAX_PATH];	// exeuĂtH_̃pX
	CString m_dlg_dir;			// ǉR_CAÕpX
//	CWebBrowser2	m_web;		// LpWebuEU

///////////////////////
// Private o֐
///////////////////////
private:
//	BOOL UniteMpeg();						// Mpegt@C
	BOOL UniteAvi();						// Avit@C
//	BOOL UniteAsf();						// Asft@C
//	BOOL UniteReal();						// Realt@C
//	BOOL UniteMov();						// Movt@C
//	BOOL UniteFile();						// Pt@C
//	void UniteRez();						// Rezt@C
/*	BOOL CheckRez(LPCTSTR ipRezName,		// Rezt@C`FbN
					CString* opMsg,	
					BOOL* opSafe);
	BOOL RestoreRez(LPCTSTR ipRezName);		// Rezt@C
	BOOL UnCompress();						// kt@C𓀏
*/
	void CalcPutName();						// ftHgo͐Zo
//	BOOL DeleteBaseFiles();					// t@C폜
/*	BOOL KickCommand(char* ipCmd,
					 char* opMsg,
					 BOOL ipMsgLeft=TRUE);	// R}hs
*/	BOOL GetSpecialFolderPath(HWND hWnd,
							  int nFolder,
							  char *Path );	// pX擾
//	BOOL DeleteFilesInFolder(char* ipPath);	// tH_̒ɂt@C폜
//	void OnMenuSystemFore();				// őOʂɕ\
	void AdjustComponent();					// zu
	HRESULT CreateLink(LPCSTR lpszPathObj,
					   LPCSTR lpszPathLink,
					   LPCSTR lpszDesc);	// V[gJbg̍쐬
//	BOOL TrashFile(LPCTSTR ipFile);			// t@CS~Ɏ̂Ă
	void OnUniteStart();					// Jn̏
	void OnUniteEnd();						// Ȉ
	void PrintMsg(LPCTSTR ipMsg);			// bZ[W\
	void PrintStepMsg(int* ipNow,			// Xebvo
						int ipAll,
						LPCTSTR ipMsg);
	CString FileFromPath(LPCTSTR ipPath);	// pXt@Ĉ݂Ԃ
	void ControlFunc(CString ipItem);		// ďoRg[

//////////////////////
// Public o֐
//////////////////////
public:
	CUnitemovieDlg(CWnd* pParent = NULL);	// RXgN^
	~CUnitemovieDlg();						// fXgN^

// _CAO f[^
	//{{AFX_DATA(CUnitemovieDlg)
	enum { IDD = IDD_UNITEMOVIE_DIALOG };
	CLabel	m_stat_msg;
	CLabel	m_stat_dummy;
//	CLabel	m_line_out_top;
//	CLabel	m_line_out_right;
//	CLabel	m_line_out_left;
//	CLabel	m_line_out_bottom;
//	CLabel	m_line_right;
//	CLabel	m_line_left;
//	CLabel	m_line_bottom;
//	CLabel	m_line_top;
	CStatic	m_stat_main;
	CButton	m_cmd_ok;
	CButton	m_cmd_clear2;
	CButton	m_cmd_clear;
	CButton	m_cmd_add;
	CButtonST	m_cmd_save;
	CListBox	m_lst_sort;
	CListBox	m_lst_main;
	CEdit	m_edit_save;
	CButton	m_cmd_up;
	CButton	m_cmd_down;
	//}}AFX_DATA

	// ClassWizard ͉z֐̃I[o[Ch𐶐܂B
	//{{AFX_VIRTUAL(CUnitemovieDlg)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV ̃T|[g
	//}}AFX_VIRTUAL

// Cve[V
protected:
	HICON m_hIcon;

	// ꂽbZ[W }bv֐
	//{{AFX_MSG(CUnitemovieDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnCmdUp();
	afx_msg void OnCmdDown();
	afx_msg void OnDropFiles( HDROP hDropInfo );
	virtual void OnOK();
	afx_msg void OnCmdClear();
	afx_msg void OnCmdClear2();
	afx_msg void OnMenuSaveDesktop();
	afx_msg void OnMenuSaveSame();
	afx_msg void OnMenuSaveFixed();
	afx_msg void OnMenuSaveFile();
	afx_msg void OnCmdAdd();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnClose();
/*	afx_msg void OnMenuSystemDelete();
	afx_msg void OnMenuSystemClear();
	afx_msg void OnMenuSystemSend();
	afx_msg void OnMenuSystemWeb();
	afx_msg void OnMenuSystemAdv();
	afx_msg void OnMenuSystemAuto();
*/	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ ͑Os̒Oɒǉ̐錾}܂B

#endif // !defined(AFX_UNITEMOVIEDLG_H__CD725F7D_A938_4F12_80DE_D7BC86A4D901__INCLUDED_)
